var iHtml = "";var par = "";var r = "";var sc = window.screen.width+"x"+window.screen.height;var col = window.screen.colorDepth;var link = "y";var width = "-1";
var height = "-1";var size = "";var mouse_over = false;var live_counter = 0;var monerror = null;var objerror = window;var write_app_tom;var write_app_tom3;var monload = null;
function write_appm(parm) {if (document.getElementsByTagName('head').item(0) != null) {var pp_head = document.getElementsByTagName('head').item(0);var pp_javascript = document.createElement('script');var pp_url = 'http://mystat2.mystat.pl/bancom6.jsp?s='+parm;if(typeof(Error)!='undefined') {pp_javascript.src = pp_url; pp_javascript.type = 'text/javascript'; pp_javascript.defer = true;pp_head.appendChild(pp_javascript);}}else {clearTimeout(write_app_tom);write_app_tom = setTimeout('write_appm("'+parm+'")',1000);}}
function setCookie(name, value, expires, path, domain, secure) { var curCookie=name+"="+escape(value)+((expires)?"; expires="+expires.toGMTString():"")+((path)?"; path="+path:"")+((domain)?"; domain="+domain:"")+((secure)?"; secure":""); document.cookie = curCookie; }
function getCookie(name) { var dc = document.cookie; var prefix = name + "="; var begin = dc.indexOf("; " + prefix); if (begin == -1) { begin = dc.indexOf(prefix); if (begin != 0) return null; } else begin += 2; var end = document.cookie.indexOf(";", begin); if (end == -1) end = dc.length; return unescape(dc.substring(begin + prefix.length, end)); }
function deleteCookie(name, path, domain) { if (getCookie(name)) { document.cookie=name+"="+((path)?"; path="+path:"")+((domain)?"; domain="+domain:"")+"; expires=Thu, 01-Jan-70 00:00:01 GMT"; } }
function fixDate(date) { var base = new Date(0); var skew = base.getTime(); if (skew > 0) date.setTime(date.getTime() - skew); }
function mystatLiveCounter(mystat_img,mystat_par,time) {mystatReloadCounter(document.images[mystat_img],mystat_par);setTimeout("mystatLiveCounter(\""+mystat_img+"\",\""+mystat_par+"\","+time+")", time);}
function mystatReloadCounter(mystat_img,mystat_par) { mystat_img.src = "http://mysta2.mystat.pl/servlet/count.gif"+mystat_par+"&filtered=1"; }
function imgLoad(img) {}
function writeCode() {
if (!document.mystat_stats) {document.mystat_stats = "1";} else { document.mystat_stats = document.mystat_stats+"1"; }
if (!document.mystat_stat_pages) document.mystat_stat_pages = ",";
var par_p = " ";
if (par.indexOf("p=") != -1) { par_p = par.substring(par.indexOf("p=")); if (par_p.indexOf("&") != -1) { par_p = par_p.substring(2,par_p.indexOf("&")); } else par_p = par_p.substring(2); }
var par_s = " ";
if (par.indexOf("s=") != -1) { par_s = par.substring(par.indexOf("s=")); if (par_s.indexOf("&") != -1) { par_s = par_s.substring(2,par_s.indexOf("&")); } else par_s = par_s.substring(2); }
if (document.mystat_stat_pages.indexOf(","+par_p+",") != -1) par = par+"&filtered=1";  else document.mystat_stat_pages = document.mystat_stat_pages+par_p+",";
var counter_name = "mystat_stat_img"+document.mystat_stats; var mystat_new_visitor = getCookie("mystat_n");
if (!mystat_new_visitor) mystat_new_visitor = 1;
var now = new Date(); fixDate(now);now.setTime(now.getTime() + 2 * 365 * 24 * 60 * 60 * 1000);  setCookie("mystat_n", 0, now);
var last_visit = getCookie("mystat_l");
var now_l = new Date(); setCookie("mystat_l", now_l.getTime(), now);
if (par.indexOf("mouse=t") != -1) mouse_over = true;
//iHtml = iHtml+"<table border=0 cellpadding=0 cellspacing=0><tr><td>";
if (link == "y") iHtml = iHtml+("<a style=\"display: inline; margin-top: 0; margin-bottom: 0;\" href=\"http://www.mystat.pl/stat_load.jsp"+par+"\" title=\"Statystyki MyStat.pl\" target=\"_blank\">");
////if (link == "y") iHtml = iHtml+("<a href=\"http://www.mystat.pl/\" title=\"Statystyki MyStat.pl\" target=\"_blank\">");
if (par.indexOf("live=") != -1) { var live_val = par.substring(par.indexOf("live=")); if (live_val.indexOf("&") != -1) live_val = live_val.substring(5,live_val.indexOf("&")); else live_val = live_val.substring(5); if (!isNaN(live_val)) live_counter = live_val; }
par = par+"&sc="+sc+"&col="+col+"&r="+r+"&nv="+mystat_new_visitor;
if (last_visit != null) {
par = par+"&lv="+(now_l.getTime()-parseInt(last_visit));
}
var sid = getCookie("mystat_sid");
if (!sid) {sid = location.hostname+Math.random();setCookie("mystat_sid", sid, null, null); sid = getCookie("mystat_sid");}
if (sid != null) {par = par+"&sid="+sid;}
if (width != "-1" && height != "-1") {size = "width=\""+width+"\" height=\""+height+"\""} else size = "";
iHtml = iHtml+("<img style=\"display: inline; margin-top: 0; margin-bottom: 0;\" name=\""+counter_name+"\" src=\"http://mystat2.mystat.pl/servlet/count.gif"+par+"\" border=\"0\" "+size);
if (mouse_over) iHtml = iHtml+(" onMouseOver=\"mystatReloadCounter(this,'"+par+"')\"");
iHtml = iHtml+"onLoad=\"imgLoad(this);\"";
iHtml = iHtml+(">");
if (link == "y") iHtml = iHtml+("</a>");
var bancom = getCookie("mystat_bc");
//iHtml = iHtml+("<!--");//iHtml = iHtml+("!--  ");
if (Math.round(live_counter) > 0) window.setTimeout("mystatLiveCounter(\""+counter_name+"\",\""+par+"\","+1000*Math.round(live_counter)*10+")", 1000*Math.round(live_counter)*10);
if (document.URL.indexOf("mystat.pl") != -1) { var now1 = new Date(); fixDate(now1); now.setTime(now1.getTime() + 365 * 24 * 60 * 60 * 1000); setCookie("mystat_v", 0, now1); }
//iHtml = iHtml+"</td></tr></table>";
document.writeln(iHtml);
if (true || !bancom) {var now = new Date((new Date()).getTime()+(1000*60*60*1)); fixDate(now);setCookie("mystat_bc", 1, now);
if (document.createElement) {write_appm(par_s);}
}
}
function writeMyStatPrvPl() { r = escape(document.referrer); writeCode(); }
function writeMyStatError(message, url, line) { writeCode(); window.onerror = monerror; return true; }
function writeMyStat() { monerror = window.onerror; window.onerror = writeMyStatError; r = escape(document.referrer); r = escape(top.document.referrer); writeCode(); window.onerror = monerror; }